<?php 

$api_url = 'http://joomla_site.com';
$user = 'email@email.com';
$pass = '1234567890';

function req($token, $params) {
	global $api_url;
	$curl = curl_init($api_url.'/index.php?option=com_jshopping&controller=addon_api');
	curl_setopt($curl, CURLOPT_HTTPHEADER, [
		"Authorization: Bearer ".$token,
		"User-Agent: curl"
	]);
	curl_setopt($curl, CURLOPT_POST, true);
	curl_setopt($curl, CURLOPT_POSTFIELDS, http_build_query($params));
	curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
	$res = curl_exec($curl);
	curl_close($curl);
	return $res;
}

function getToken($email, $pass) { 
	global $api_url;
	$authorization_header = base64_encode($email.':'.$pass);
	$curl = curl_init($api_url.'/index.php?option=com_jshopping&controller=addon_api');
	curl_setopt($curl, CURLOPT_HTTPHEADER, [
		"Authorization: Basic ".$authorization_header,
		"User-Agent: curl"
	]);
	curl_setopt($curl, CURLOPT_POST, true);
	curl_setopt($curl, CURLOPT_POSTFIELDS, http_build_query([ 'section' => 'connection', 'task' => 'open']));
	curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
	$_res = curl_exec($curl);
	curl_close($curl);
	if ($_res !== false) {
		$res = json_decode($_res, true);
	}
	if (isset($res['result']) && $res['result']) {
		return $res['result'];
	} else {
		print $_res;
		return null;
	}
}

/*** GET Token ***/

print getToken($user, $pass); die();

$token = 'your token';


/**********************************************/

$res = req($token, ['section' => 'connection', 'task' => 'info']);
//$res = req($token, ['section' => 'connection', 'task' => 'info']);
//$res = req($token, ['section' => 'connection', 'task' => 'user']);
//$res = req($token, ['section' => 'connection', 'task' => 'close']);

//$res = req($token, ['section' => 'category', 'task' => 'ids']);
//$res = req($token, ['section' => 'category', 'task' => 'item', 'args' => ['id' => 1, 'extra_data' => 0]]);
//$res = req($token, ['section' => 'category', 'task' => 'items', 'args' => ['ids' => [1, 2]]]);
//$res = req($token, ['section' => 'category', 'task' => 'tree']);
//$res = req($token, ['section' => 'category', 'task' => 'list', 'args' => ['limit'=> 10, 'limitstart' => 0]]);
//$res = req($token, ['section' => 'category', 'task' => 'listCount']);

//$res = req($token, ['section' => 'manufacturer', 'task' => 'ids']);
//$res = req($token, ['section' => 'manufacturer', 'task' => 'item', 'args' => ['id' => 2]]);
//$res = req($token, ['section' => 'manufacturer', 'task' => 'items', 'args' => ['ids' => [1, 2]]]);
//$res = req($token, ['section' => 'manufacturer', 'task' => 'list', 'args' => ['limit'=> 10, 'limitstart' => 0]]);
//$res = req($token, ['section' => 'manufacturer', 'task' => 'listCount']);

//$res = req($token, ['section' => 'product', 'task' => 'ids']);
//$res = req($token, ['section' => 'product', 'task' => 'item', 'args' => ['id' => '1', 'extra_data' => 0]]);
//$res = req($token, ['section' => 'product', 'task' => 'items', 'args' => ['ids' => [1]]]);
//$res = req($token, ['section' => 'product', 'task' => 'group', 'args' => ['group' => 'last']]);
//$res = req($token, ['section' => 'product', 'task' => 'group', 'args' => ['group' => 'bestseller']]);
//$res = req($token, ['section' => 'product', 'task' => 'group', 'args' => ['group' => 'random']]);
//$res = req($token, ['section' => 'product', 'task' => 'group', 'args' => ['group' => 'tophits']]);
//$res = req($token, ['section' => 'product', 'task' => 'group', 'args' => ['group' => 'toprating']]);
//$res = req($token, ['section' => 'product', 'task' => 'group', 'args' => ['group' => 'label']]);
//$res = req($token, ['section' => 'product', 'task' => 'search', 'args' => ['search'=>'amd' ,'categories'=>[13, 1], 'manufacturers' => [1], 'order' => 2]]);
//$res = req($token, ['section' => 'product', 'task' => 'searchInfo']);
//$res = req($token, ['section' => 'product', 'task' => 'list', 'args' => ['limit'=> 10, 'limitstart' => 61]]);
//$res = req($token, ['section' => 'product', 'task' => 'listCount']);

//$res = req($token, ['section' => 'shop', 'task' => 'config']);
//$res = req($token, ['section' => 'shop', 'task' => 'taxs']);
//$res = req($token, ['section' => 'shop', 'task' => 'currencies']);
//$res = req($token, ['section' => 'shop', 'task' => 'payments']);
//$res = req($token, ['section' => 'shop', 'task' => 'shippings']);
//$res = req($token, ['section' => 'shop', 'task' => 'shippingprices']);
//$res = req($token, ['section' => 'shop', 'task' => 'shippingpricescountries']);
//$res = req($token, ['section' => 'shop', 'task' => 'deliverytimes']);
//$res = req($token, ['section' => 'shop', 'task' => 'countries']);
//$res = req($token, ['section' => 'shop', 'task' => 'attributes']);
//$res = req($token, ['section' => 'shop', 'task' => 'attributesvalues']);
//$res = req($token, ['section' => 'shop', 'task' => 'freeattributes']);
//$res = req($token, ['section' => 'shop', 'task' => 'reviews']);
//$res = req($token, ['section' => 'shop', 'task' => 'productlabels']);
//$res = req($token, ['section' => 'shop', 'task' => 'languages']);
//$res = req($token, ['section' => 'shop', 'task' => 'units']);
//$res = req($token, ['section' => 'shop', 'task' => 'productfields']);
//$res = req($token, ['section' => 'shop', 'task' => 'productfieldvalues']);
//$res = req($token, ['section' => 'shop', 'task' => 'vendors']);

//$res = req($token, ['section' => 'addon', 'task' => 'ids']);
//$res = req($token, ['section' => 'addon', 'task' => 'item', 'args' => ['id' => 'addon_api']]);
//$res = req($token, ['section' => 'addon', 'task' => 'items', 'args' => ['ids' => ['addon_api']]]);

//$res = req($token, ['section' => 'content', 'task' => 'ids']);
//$res = req($token, ['section' => 'content', 'task' => 'item', 'args' => ['id' => 'shipping']]);
//$res = req($token, ['section' => 'content', 'task' => 'items', 'args' => ['ids' => ['shipping']]]);
//$res = req($token, ['section' => 'content', 'task' => 'cartReturnPolicy']);
//$res = req($token, ['section' => 'content', 'task' => 'orderReturnPolicy', 'args' => ['order_id' => 55]]);

//$res = req($token, ['section' => 'order', 'task' => 'ids']);
//$res = req($token, ['section' => 'order', 'task' => 'item', 'args' => ['id' => '55']]);
//$res = req($token, ['section' => 'order', 'task' => 'items', 'args' => ['ids' => [55, 54]]]);
//$res = req($token, ['section' => 'order', 'task' => 'states']);
//$res = req($token, ['section' => 'order', 'task' => 'list', 'args' => ['limit'=> 10, 'limitstart' => 0]]);
//$res = req($token, ['section' => 'order', 'task' => 'products', 'args' => ['order_id'=> 55]]);
//$res = req($token, ['section' => 'order', 'task' => 'listCount']);

//$res = req($token, ['section' => 'user', 'task' => 'activate', 'args' => ['token' => 'e7bdc0350227ee0286106ca72b4a3427']]);
//$res = req($token, ['section' => 'user', 'task' => 'cancelOrder', 'args' => ['id' =>331, 'order_id' => 176]]);
//$res = req($token, ['section' => 'user', 'task' => 'changePassword', 'args' => ['id' =>334, 'old_password' => 'test001test001', 'new_password' => 'test001test002']]);
//$res = req($token, ['section' => 'user', 'task' => 'createInfo']);
//$res = req($token, ['section' => 'user', 'task' => 'create', 'args' => ['input' => ['f_name' => 'f_name', 'email' => 't2@test.com']]]);
//$res = req($token, ['section' => 'user', 'task' => 'editInfo']);
//$res = req($token, ['section' => 'user', 'task' => 'edit', 'args' => ['id' => 334, 'input' => ['f_name' => 'f_name', 'l_name' => '222', 'email' => 'test001@test001.com ']]]);
//$res = req($token, ['section' => 'user', 'task' => 'groups']);
//$res = req($token, ['section' => 'user', 'task' => 'ids']);
//$res = req($token, ['section' => 'user', 'task' => 'item', 'args' => ['id' => '334']]);
//$res = req($token, ['section' => 'user', 'task' => 'items', 'args' => ['ids' => ['334']]]);
//$res = req($token, ['section' => 'user', 'task' => 'login', 'args' => ['username' => 'test001', 'password'=> 'test001test001']]);
//$res = req($token, ['section' => 'user', 'task' => 'order', 'args' => ['id' => '334', 'order_id'=> '176']]);
//$res = req($token, ['section' => 'user', 'task' => 'orders', 'args' => ['id' => '331', 'orders_ids'=> ['54', 55]]]);
//$res = req($token, ['section' => 'user', 'task' => 'list', 'args' => ['limit'=> 10, 'limitstart' => 0]]);
//$res = req($token, ['section' => 'user', 'task' => 'listCount']);

//$res = req($token, ['section' => 'wishlist', 'task' => 'add', 'args' => ['product_id' => '1', 'quantity' => 1]]);
//$res = req($token, ['section' => 'wishlist', 'task' => 'update', 'args' => ['quantities' => [0=>2]]]);
//$res = req($token, ['section' => 'wishlist', 'task' => 'delete', 'args' => ['index' => 1]]);
//$res = req($token, ['section' => 'wishlist', 'task' => 'clear']);
//$res = req($token, ['section' => 'wishlist', 'task' => 'toCart', 'args' => ['index' => 0]]);
//$res = req($token, ['section' => 'wishlist', 'task' => 'info']);

//$res = req($token, ['section' => 'cart', 'task' => 'add', 'args' => ['product_id' => 5, 'quantity' => 1]]);
//$res = req($token, ['section' => 'cart', 'task' => 'update', 'args' => ['quantities' => [0=>2]]]);
//$res = req($token, ['section' => 'cart', 'task' => 'delete', 'args' => ['index' => 0]]);
//$res = req($token, ['section' => 'cart', 'task' => 'discount', 'args' => ['code' => 'QIMB-KMF6']]);
//$res = req($token, ['section' => 'cart', 'task' => 'clear']);
//$res = req($token, ['section' => 'cart', 'task' => 'info']);

//$res = req($token, ['section' => 'checkout', 'task' => 'stepNumber']);
//$res = req($token, ['section' => 'checkout', 'task' => 'steps']);
//$res = req($token, ['section' => 'checkout', 'task' => 'step2']);
//$res = req($token, ['section' => 'checkout', 'task' => 'step2save', 'args' => ['input' => ['f_name' => 'test001a', 'email' => 'test001@test001.com']]]);
//$res = req($token, ['section' => 'checkout', 'task' => 'step3']);
//$res = req($token, ['section' => 'checkout', 'task' => 'step3save', 'args' => ['payment_id' => 2]]);
//$res = req($token, ['section' => 'checkout', 'task' => 'step4']);
//$res = req($token, ['section' => 'checkout', 'task' => 'step4save', 'args' => ['shipping_id' => 1]]);
//$res = req($token, ['section' => 'checkout', 'task' => 'step5']);
//$res = req($token, ['section' => 'checkout', 'task' => 'step5save', 'args' => ['confirmation' => 1, /*'extra_params' => ['order_add_info' => '']*/ ]]);

$resArray = null;
if (isset($res) && $res !== false) {
    $resArray = json_decode($res, true);
}
if ($resArray){
	print "<pre>";
	print_r($resArray);
} else {
	print $res ?? '';
}
